petsc-3.10.5 2019-03-28
Report Typos and Errors

# SNESCompositeSetDamping

Sets the damping of a subsolver when using additive composite SNES.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESCompositeSetDamping(SNES snes,PetscInt n,PetscReal dmp)

Not Collective

### Input Parameter

| snes | - the preconditioner context
| n | - the number of the snes requested
| dmp | - the damping

### Keywords

SNES, get, composite preconditioner, sub preconditioner

### See Also

SNESCompositeAddSNES()

### Level

Developer

### Location

src/snes/impls/composite/snescomposite.c

### Implementations

SNESCompositeSetDamping_Composite in src/snes/impls/composite/snescomposite.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages